#include <catch2/catch.hpp>

auto is_even(int const x) -> bool
{
    return x % 2 == 0;
}

auto collatz_point_conditional(int const x) -> int
{
    return is_even(x) ? x / 2
                      : 3 * x + 1;
}

TEST_CASE()
{
    CHECK(collatz_point_conditional(6) == 3);
    CHECK(collatz_point_conditional(5) == 16);
}